-- Reload recipes and technologies
for _, player in pairs(game.players) do
  player.force.reset_recipes()
  player.force.reset_technologies()
end

-- if fluid handling already researched, unlock all recipes in subgroup "barrel"
for _, force in pairs(game.forces) do
  if force.technologies["fluid-handling"].researched then
    for _, recipe in pairs(force.recipes) do
      if recipe.subgroup.name == "barrel" or
         recipe.subgroup.name == "empty-barrel" or
         recipe.subgroup.name == "fill-barrel" then
        recipe.enabled = true
      end
    end
  end
  if (force.technologies["barrels"] and force.technologies["barrels"].researched) then
    for _, recipe in pairs(force.recipes) do
      if recipe.subgroup.name == "bob-barrel" or
         recipe.subgroup.name == "bob-empty-barrel" then
        recipe.enabled = true
      end
    end
  end
  if (force.technologies["gas-canisters"] and force.technologies["gas-canisters"].researched) then
    for _, recipe in pairs(force.recipes) do
      if recipe.subgroup.name == "bob-gas-bottle" or
         recipe.subgroup.name == "bob-empty-gas-bottle" then
        recipe.enabled = true
      end
    end
  end
end
